closefrom(3bsd)

NAME
closefrom - delete open file descriptors

LIBRARY
libbsd

SYNOPSIS
#include <unistd.h>
(See libbsd(7) for include usage.)
void
closefrom(int lowfd);

DESCRIPTION
The closefrom() system call deletes all open file descriptors greater than or equal to lowfd from the per-process object reference table. Any errors encountered while closing file descriptors are ignored.

SEE ALSO
close(2)

STANDARDS
closefrom() is a BSD and Solaris extension.

HISTORY
The closefrom() function first appeared in Solaris 9, OpenBSD 3.5, DragonFly 1.2, NetBSD 3.0, FreeBSD 8.0 and glibc 2.34.